net.corda.core.contracts

## Class TransactionVerificationException.ContractRejection

- Enclosing class:
    TransactionVerificationException

      public static class TransactionVerificationException.ContractRejection

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractRejection(LedgerTransaction tx, Contract contract, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Contract` | `getContract()`

- - ### Constructor Detail

    - #### ContractRejection

          public ContractRejection(LedgerTransaction tx,
                                   Contract contract,
                                   java.lang.Throwable cause)

  - ### Method Detail

    - #### getContract

          public Contract getContract()